<?php
$tempColumns = array (
    'tx_rsmfaq_items' => array (
        'label' => 'LLL:EXT:rsmfaq/locallang_db.xml:tt_content.tx_rsmfaq_items',
        'config' => array (
            'type' => 'inline',
            'foreign_table' => 'tx_rsmfaq_item',
            'foreign_field' => 'parentid',
            'foreign_sortby' => 'sorting',
            'foreign_label' => 'item_title',
            'maxitems' => 100,
            'appearance' => array(
                'useCombination' =>	0,
                'useSortable' => true,
                'expandSingle' => true,
                //'collapseAll' => true,
                'newRecordLinkAddTitle' => false,
                'levelLinksPosition' => 'top',
                'showSynchronizationLink' => 1,
                'showAllLocalizationLink' => 1,
                'showPossibleLocalizationRecords' => 1,
                'enabledControls' => array(
                    'new' => true,
                    'delete' => true,
                    'info' => true,
                    'hide' => false,
                ),
            ),
        )
    ),
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumns);

/* inherit and extend the show items from the parent class */
call_user_func(function () {
    $pluginSignature = 'rsmfaq_pi1';

    $t3LangPrefix = 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:';
    $t3LangForm = 'LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:';

    $GLOBALS['TCA']['tt_content']['types'][$pluginSignature]['showitem'] = '--palette--;LLL:EXT:cms/locallang_ttc.xml:palette.general,
    --palette--;' . $t3LangPrefix . 'palette.general;general,
    --palette--;' . $t3LangPrefix . 'palette.header;header,
    pi_flexform,tx_rsmfaq_items,
    --div--;' . $t3LangPrefix . 'tabs.appearance,
        --palette--;' . $t3LangPrefix . 'palette.frames;frames,
        --palette--;' . $t3LangPrefix . 'palette.appearanceLinks;appearanceLinks,
    --div--;' . $t3LangForm . 'language,
        --palette--;;language,
    --div--;' . $t3LangForm . 'access,
        --palette--;;hidden,
        --palette--;' . $t3LangPrefix . 'palette.access;access,
    --div--;' . $t3LangForm . 'categories, categories,
    --div--;' . $t3LangForm . 'notes, rowDescription,
    --div--;' . $t3LangForm . 'extended,';


$GLOBALS['TCA']['tt_content']['columns']['pi_flexform']['config']['ds_pointerField'] = 'list_type,CType';
$GLOBALS['TCA']['tt_content']['columns']['pi_flexform']['config']['ds'][',rsmfaq_pi1'] = 'FILE:EXT:rsmfaq/flexform_ds_pi1.xml';

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(array('LLL:EXT:rsmfaq/locallang_db.xml:tt_content.CType_pi1', 'rsmfaq_pi1', 'EXT:rsmfaq/ext_icon.gif'),'CType', 'rsmfaq');

/////////////////////////////////////////////////////////////////////////////////////////////
// CLEANUP VARS
/////////////////////////////////////////////////////////////////////////////////////////////
    unset($pluginSignature);
});

